import model


class LargeCnn(model.SimpleCnn):

    NAME = "large-cnn"
    CHANNELS = [32, 32, 64, 64, 128]
    HIDDEN = 512

    def get_channels(self):
        return LargeCnn.CHANNELS

    def get_hidden_size(self):
        return LargeCnn.HIDDEN